libpasswdqc-devel-1.3.1.2-alt2.i586.rpm


Advertisement

Description

libpasswdqc-devel - Library and header file for building passwdqc-aware applications

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libpasswdqc-devel-1.3.1.2-alt2.i586.rpm
Package name libpasswdqc-devel
Package version 1.3.1.2
Package release alt2
Package architecture i586
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 1.50 KB
Installed size 1.50 KB
The libpasswdqc is a passphrase strength checking library.
In addition to checking regular passphrases, it offers support
for passphrases and can provide randomly generated passphrases.
All features are optional and can be (re-)configured without
rebuilding.
This package contains development library and header file
needed for building passwdqc-aware applications.

Alternatives

Package Version Architecture Repository
libpasswdqc-devel-1.3.1.2-alt2.x86_64.rpm 1.3.1.2 x86_64 Classic
libpasswdqc-devel - - -

Requires

Name Value
libpasswdqc = 1.3.1.2-alt2:sisyphus+224337.100.1.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
libpasswdqc-devel = 1.3.1.2-alt2:sisyphus+224337.100.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libpasswdqc-devel-1.3.1.2-alt2.i586.rpm
Source Package passwdqc-1.3.1.2-alt2.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpasswdqc-devel rpm package:
    # sudo apt-get install libpasswdqc-devel

Files

Path
/usr/include/passwdqc.h
/usr/lib/libpasswdqc.so

Changelog

2019-03-10 - Dmitry V. Levin <ldv@altlinux.org> 1.3.1.2-alt2
- libpasswdqc: replaced PreReq with more appropriate dependencies.
2018-08-24 - Dmitry V. Levin <ldv@altlinux.org> 1.3.1.2-alt1
- pam_passwdqc:
+ implemented audit logging (by Oleg Solovyov and me).
2018-06-28 - Dmitry V. Levin <ldv@altlinux.org> 1.3.1.1-alt2
- Fixed build with modern glibc.
2017-08-14 - Dmitry V. Levin <ldv@altlinux.org> 1.3.1.1-alt1
- pam_passwdqc:
+ implemented i18n support (by Oleg Solovyov and me);
+ added Russian translation (by Oleg Solovyov and Andrey Cherepanov).
2016-07-22 - Dmitry V. Levin <ldv@altlinux.org> 1.3.1-alt1
- Merged with 1.3.1-owl1.
2013-09-22 - Dmitry V. Levin <ldv@altlinux.org> 1.3.0-alt1
- Merged with 1.3.0-owl1.
2013-04-18 - Dmitry V. Levin <ldv@altlinux.org> 1.2.3-alt1
- Merged with 1.2.3-owl1.
2010-07-16 - Dmitry V. Levin <ldv@altlinux.org> 1.2.2-alt1
- Merged with 1.2.2-owl1.
2010-03-30 - Dmitry V. Levin <ldv@altlinux.org> 1.2.1-alt1
- Merged with 1.2.1-owl1.
2010-03-16 - Dmitry V. Levin <ldv@altlinux.org> 1.2.0-alt1
- Merged with 1.2.0-owl1.

See Also

Package Description
libpath_utils-0.2.1-alt6.i586.rpm Filesystem Path Utilities
libpath_utils-devel-0.2.1-alt6.i586.rpm Development files for libpath_utils
libpcap-devel-1.9.0-alt2.i586.rpm Development environment for the packet capture library
libpcap0.8-1.9.0-alt2.i586.rpm A system-independent interface for user-level packet capture
libpcapnav-0.8-alt1_16.i586.rpm Wrapper library for libpcap offering navigation inside of a tracefile
libpcapnav-devel-0.8-alt1_16.i586.rpm Development files for libpcapnav
libpcd-devel-1.0.1-alt1_14.i586.rpm Development related files of libpcd
libpcd2-1.0.1-alt1_14.i586.rpm Library for decoding PhotoCD images
libpci-3.6.2-alt2.i586.rpm Linux PCI library
libpci-devel-3.6.2-alt2.i586.rpm Linux PCI development library
libpciaccess-0.16-alt1.i586.rpm X.org libpciaccess library
libpciaccess-devel-0.16-alt1.i586.rpm The pciaccess Library and Header Files
libpcp-4.0.2-alt1.i586.rpm lib files for pgpool-II
libpcp-devel-4.0.2-alt1.i586.rpm The development files for pgpool-II
libpcre-devel-8.43-alt1.i586.rpm Perl-compatible regular expressions development environment
Advertisement
Advertisement